﻿@charset "utf-8";
/****************************************
　　共通
　　　2025/XX/XX　初版
*****************************************/
@font-face {
  font-family: "Kosugi Maru";
  src: url("../font/KosugiMaru-Regular.ttf") format("truetype");
}
/* ------------------------ */
* {
	font-size: 16px;
	letter-spacing: 0.1em;
	box-sizing: border-box;
	font-family: 'Kosugi Maru', sans-serif;
}
html, body {
	margin: 0;
	padding: 0;
	height: 100%;
	background-color: #eaf4fc;
	text-shadow: 1px 1px 0 #fafdff, -1px -1px 0 #fafdff, -1px 1px 0 #fafdff, 1px -1px 0 #fafdff, 0px 1px 0 #fafdff, 0-1px 0 #fafdff, -1px 0 0 #fafdff, 1px 0 0 #fafdff;
}
ul {
	margin: 0;
	padding: 0;
	z-index: 100;
	list-style-type: none;
}
a {
	font-weight: normal;
	text-decoration: none;
}
a:hover {
	font-weight: bold;
	font-style: italic;
}
/* ------------------------ */
div#container {
	width: 1200px;
	margin: 0 auto;
	background: rgba(255,255,255,0.8);
}
div#container .content {
	margin: 20px auto;
	padding: 8px;
	width: 80%;
	font-size: 1.25em;
	border-radius: 10px;
	border-top: 1px #0094c8 solid;
	border-bottom: 1px #0094c8 solid;
	text-align: center;
	text-shadow: #529dff 2px 2px 5px;
}
/* ------------------------ */
header {
	margin: 0 auto;
	width: 1200px;
	background-color: #1e50a2;
}
header .title {
	padding: 20px 40px;
	font-size: 2em;
	color: #ebf6f7;
	text-shadow: #529dff 2px 2px 10px;
}
/* ------------------------ */
div#flex {
	margin: 0 auto;
	display: flex;
}
div#flex_left {
	width: 100%;
}
div#flex_right {
	width: 300px;
}
/* ------------------------ */
div#log ul {
	margin: 10px auto 40px;
	padding: 10px;
	width: 90%;
	border: 1px #97cffc solid;
	border-radius: 20px;
	box-shadow: #97cffc 1px 1px 3px;
}
div#log li {
	height: 160px;
	overflow: auto;
	font-size: 0.9em;
	text-align: left;
	line-height: 150%;
}
/* ------------------------ */
div#diy-pc ul {
	text-align: center;
}
div#diy-pc ul li {
	text-align: left;
}
div#diy-pc ul li.box {
	margin: 10px;
	width: 90%;
	display: inline-block;
	border: 1px #97cffc solid;
	border-radius: 20px;
	box-shadow: #97cffc 1px 1px 3px;
}
div#diy-pc .name {
	padding-top: 5px;
	padding-left: 5px;
	font-size: 1.35em;
	font-weight: bold;
	text-align: left;
	text-shadow: #529dff 2px 2px 5px;
}
div#diy-pc .review {
	margin: 20px auto;
	padding: 5px;
	height: 120px;
	width: 95%;
	overflow: auto;
	text-align: left;
	line-height: 150%;
	border: 1px #97cffc solid;
}
/* ------------------------ */
div#novel ul {
	margin: 10px auto 20px;
	padding: 20px;
	width: 90%;
	border: 1px #97cffc solid;
	border-radius: 20px;
	box-shadow: #97cffc 1px 1px 3px;
}
div#novel ul li hr {
	margin: 20px auto;
	border: 1px #97cffc solid;
}
div#novel ul li.writer {
	padding-right: 10px;
	font-size: 1.25em;
	text-align: right;
	text-shadow: #529dff 2px 2px 10px;
}
div#novel ul li.title {
	margin: 20px 0 10px;
	padding-left: 10px;
	font-weight: bold;
	border-left: 3px #97cffc solid;
}
div#novel ul li.episode {
	padding: 3px 20px;
}
div#novel ul li a {
	padding: 2px;
}
/* ------------------------ */
div#illustration ul {
	margin: 10px auto 20px;
	padding: 20px;
	width: 90%;
	border: 1px #97cffc solid;
	border-radius: 20px;
	box-shadow: #97cffc 1px 1px 3px;
}
div#illustration li.title {
	margin-bottom: 5px;
	padding-left: 10px;
	font-weight: bold;
	border-left: 3px #97cffc solid;
}
div#illustration li.gallery {
	padding-top: 10px;
	padding-left: 10px;
}
div#illustration a.thumbnail {
	height: 125px;
	padding-right: 5px;
	display: inline-block;
}
div#illustration a.thumbnail img {
	height: 100%;
	border-radius: 20px;
}
/* ------------------------ */
div#access {
	margin: 20px auto;
	text-align: center;
}
/* ------------------------ */
div#ds {
	text-align: center;
}
/* ------------------------ */
div#link ul {
	width: 85%;
	margin: 0 auto;
}
div#link ul li {
	padding: 0px 5px;
	margin: 10px 0px 20px;
	text-align: center;
	border-left: 2px #97cffc solid;
	border-right: 2px #97cffc solid;
}
/* ------------------------ */
.google-2021 {
	height: 100px;
	width: 90%;
	margin: 40px auto;
	text-align: center;
}
.google-2024 {
	height: 610px;
	width: 90%;
	margin: 20px auto;
	text-align: center;
}
/* ------------------------ */
div#transition {
	padding: 20px;
	margin: 0 auto;
	text-align: center;
}
div#transition ul li {
	width: 100px;
	display: inline-block;
}
/* ------------------------ */
footer {
	padding: 10px;
	margin: 0 auto;
	text-align: center;
	color: #ebf6f7;
	background-color: #1e50a2;
	text-shadow: #529dff 2px 2px 10px;
}
/* ------------------------ */
div#page_top {
	width: 50px;
	height: 50px;
	right: 20px;
	bottom: 20px;
	opacity: 0.6;
	position: fixed;
	border-radius: 6px;
	border: 3px #ccebff solid;
	background-color: rgba(255,255,255,0.8);
}
div#page_top a {
	width: 50px;
	height: 50px;
	display: block;
	position: relative;
	padding: 15px 10px;
	text-align: center;
	text-decoration: none;
}
div#page_top a:hover {
	font-weight: bold;
	font-style: normal;
}
div#page_top a::before {
	width: 25px;
	height: 25px;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	margin: auto;
	text-align: center;
	position: absolute;
}
/* ------------------------ */
/* ------------------------ */
@media screen and (max-width:1280px) {
div#container {
	width: 90%;
	margin: 0px auto;
}
header {
	width: 100%;
}
div#menu ul li {
	display: block;
	margin: 10px auto;
}
div#flex {
	margin: 0px auto;
	flex-direction: column;
}
div#flex_left {
	width: 100%;
	padding: 10px;
	margin: 0px auto 20px;
}
div#flex_right {
	width: 100%;
	padding: 10px;
	margin: 0px auto 20px;
}
div.google-2024 {
	display: none;
}
}
/* ------------------------ */
}
